/* eslint-disable camelcase */
import PropTypes from 'prop-types';
import ScriptLoader from '@s-ui/react-script-loader';
import { jsx as _jsx } from "react/jsx-runtime";

var getGoogleApiClient = function getGoogleApiClient() {
  return window && window.gapi;
};

var googleApiClientUrl = 'https://apis.google.com/js/client.js';
export default function GoogleApiClientLoader(_ref) {
  var render = _ref.render,
      timeoutRender = _ref.timeoutRender,
      _ref$onTimeout = _ref.onTimeout,
      onTimeout = _ref$onTimeout === void 0 ? function () {
    return null;
  } : _ref$onTimeout,
      _ref$detectionDelay = _ref.detectionDelay,
      detectionDelay = _ref$detectionDelay === void 0 ? 15000 : _ref$detectionDelay;
  return /*#__PURE__*/_jsx(ScriptLoader, {
    src: googleApiClientUrl,
    isAsync: true,
    verifier: getGoogleApiClient,
    render: render,
    timeoutRender: timeoutRender,
    onTimeout: onTimeout,
    detectionDelay: detectionDelay
  });
}
GoogleApiClientLoader.displayName = 'GoogleApiClientLoader';